## org.hibernate.metamodel.domain
Class NonEntity

    java.lang.Object
      org.hibernate.metamodel.domain.AbstractAttributeContainer
          org.hibernate.metamodel.domain.NonEntity

All Implemented Interfaces:
  AttributeContainer, Hierarchical, Type

    public class NonEntity

extends AbstractAttributeContainer

Models the concept class in the hierarchy with no persistent attributes.

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.metamodel.domain.AbstractAttributeContainer
`AbstractAttributeContainer.IndexedPluralAttributeImpl, AbstractAttributeContainer.PluralAttributeImpl, AbstractAttributeContainer.SingularAttributeImpl`

Constructor Summary
`NonEntity(String entityName, String className, Value<Class<?>> classReference, Hierarchical superType)` Constructor for the non-entity

Method Summary
`boolean` `isAssociation()`
`boolean` `isComponent()`

Methods inherited from class org.hibernate.metamodel.domain.AbstractAttributeContainer

`addAttribute, attributes, createBag, createComponentAttribute, createList, createMap, createPluralAttribute, createSet, createSingularAttribute, createVirtualSingularAttribute, getClassName, getClassReference, getClassReferenceUnresolved, getName, getRoleBaseName, getSuperType, locateAttribute, locateBag, locateComponentAttribute, locateList, locateMap, locatePluralAttribute, locateSet, locateSingularAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonEntity

    public NonEntity(String entityName,
                     String className,
                     Value<Class<?>> classReference,
                     Hierarchical superType)

  Constructor for the non-entity

  Parameters:
    `entityName` - The name of the non-entity
    `className` - The name of this non-entity's java class
    `classReference` - The reference to this non-entity's `Class`
    `superType` - The super type for this non-entity. If there is not super type `null` needs to be passed.

Method Detail

### isAssociation

    public boolean isAssociation()

### isComponent

    public boolean isComponent()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.